/* Based on Mastodon embed feed timeline v3.3.1 */
/* https://gitlab.com/idotj/mastodon-embed-feed-timeline */

/* Main container */
.mt-timeline {
  height: 100%;
  position: relative;
}

.mt-body {
  white-space: pre-wrap;
  word-wrap: break-word;
}

.mt-body .invisible {
  font-size: 0;
  line-height: 0;
  display: inline-block;
  width: 0;
  height: 0;
  position: absolute;
}

/* Toot container */
.mt-toot {
  margin: 1em 0;
  position: relative;
}

.mt-toot:not(:last-child) {
  padding-bottom: 2em;
  border-bottom: 1px solid #975;
}

.mt-toot p:last-child {
  margin-bottom: 0;
}

/* User icon */
.mt-avatar {
  position: absolute;
  top: 1em;
  left: 5px;
  width: 3em;
  height: 3em;
  background-repeat: no-repeat;
  background-position: 50% 50%;
  background-size: contain;
  border-radius: 5px;
}
.mt-avatar-boosted {
  width: 2.5em;
  height: 2.5em;
}
.mt-avatar-booster {
  width: 1.5em;
  height: 1.5em;
  top: 1.5em;
  left: 1.5em;
}
.mt-user {
  display: table;
  font-weight: 600;
}

/* Text */
.toot-text {
  margin-bottom: 0.25em;
}
.toot-text .spoiler-link {
  display: inline-block;
  border-radius: 2px;
  border: 0;
  font-weight: 700;
  font-size: 0.7em;
  padding: 0 0.35em;
  text-transform: uppercase;
  line-height: 1.25em;
  cursor: pointer;
  vertical-align: top;
}
.toot-text .spoiler-text {
  display: none;
}
.toot-text.truncate {
  display: -webkit-box;
  overflow: hidden;
  -webkit-box-orient: vertical;
}
.toot-text:not(.truncate) .ellipsis::after {
  content: "...";
}

.mt-error {
  position: absolute;
  display: flex;
  flex-direction: column;
  height: calc(100% - 3.5em);
  width: calc(100% - 4.5em);
  justify-content: center;
  align-items: center;
  padding: 0.75em;
  text-align: center;
}

.toot-date {
  text-align: right;
  color: #975;
  font-size: .75em;
}

/* Poll */
.toot-poll {
  margin-bottom: 0.25em;
}
.toot-poll ul {
  list-style: none;
  padding: 0;
  margin: 0;
}
.toot-poll ul li {
  font-size: 0.9em;
  margin-bottom: 0.5em;
}
.toot-poll ul li:not(:last-child) {
  margin-bottom: 0.25em;
}
.toot-poll ul li:before {
  content: "◯";
  padding-right: 0.5em;
}

/* Medias */
.toot-media,
.toot-card {
  display: block;
  margin-top: 1em;
  margin-bottom: 0.25em;
}
.toot-media > img {
  width: 100%;
  object-fit: cover;
  aspect-ratio: 16 / 9;
  overflow: hidden;
}

.toot-card {
  position: relative;
  padding-bottom: 56.25%; /* 16:9 */
  padding-top: 25px;
  height: 0;
  width: 100%;
  overflow: hidden;
}
.toot-card > iframe {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

/* Hidden element */
.visually-hidden {
  position: absolute !important;
  width: 1px !important;
  height: 1px !important;
  padding: 0 !important;
  margin: -1px !important;
  overflow: hidden !important;
  clip: rect(0, 0, 0, 0) !important;
  white-space: nowrap !important;
  border: 0 !important;
}
